お知らせ詳細

←お知らせ一覧に戻る

【脆弱性対策情報】 Android の GraphicBuffer::unflatten 関数における整数オーバーフローの脆弱性
2015-02-19
     
    概要

      Android の platform/frameworks/native/libs/ui/GraphicBuffer.cpp の GraphicBuffer::unflatten 関数には、整数オーバーフローの脆弱性が存在します。

      
    CVSS による深刻度

      基本値: 10.0 (危険) [NVD値]
      ・攻撃元区分: ネットワーク
      ・攻撃条件の複雑さ: 低
      ・攻撃前の認証要否: 不要
      ・機密性への影響(C): 全面的
      ・完全性への影響(I): 全面的
      ・可用性への影響(A): 全面的
      
      情報不足のため、「攻撃条件の複雑さ」のスコアは、"低" に設定されています。
      
    影響を受けるシステム

      Google
      ・Android 5.0 まで
      
    想定される影響

      攻撃者により、大量の (1) ファイル記述子、または (2) 整数の値を誘発する要素を介して、権限を取得される、またはサービス運用妨害 (メモリ破損) 状態にされる可能性があります。
      
    対策

      ベンダ情報および参考情報を参照して適切な対策を実施してください。
      
    ベンダ情報

      Google

    CWEによる脆弱性タイプ一覧

      数値処理の問題(CWE-189) [NVD評価]
      
    引用元

      Japan Vulnerability Notes
       http://jvndb.jvn.jp/ja/contents/2015/JVNDB-2015-001524.html

ページトップヘ